Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419592 (CVE-2017-5843) - CVE-2017-5843 gstreamer-plugins-bad-free: Use after free in gst_mini_object_unref / gst_tag_list_unref / gst_mxf_demux_update_essence_tracks
Summary: CVE-2017-5843 gstreamer-plugins-bad-free: Use after free in gst_mini_object_u...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-5843
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1419617 1419614 1419616 1419618
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 15:05 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
27 users (show)

Fixed In Version: gstreamer1-plugins-bad-free 1.10.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-13 08:32:30 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 0 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 15:05:31 UTC
A use-after-free vulnerability was found in gst_mini_object_unref / gst_tag_list_unref / gst_mxf_demux_update_essence_tracks.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=777503

Upstream patch:

https://github.com/GStreamer/gst-plugins-bad/commit/08723e6

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 1 Adam Mariš 2017-02-06 15:29:25 UTC
Created mingw-gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419618]

Comment 2 Adam Mariš 2017-02-06 15:29:44 UTC
Created gstreamer1-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419616]

Comment 3 Adam Mariš 2017-02-06 15:29:57 UTC
Created gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419614]

Comment 4 Adam Mariš 2017-02-06 15:30:12 UTC
Created mingw-gstreamer-plugins-bad-free tracking bugs for this issue:

Affects: fedora-all [bug 1419617]

Comment 9 errata-xmlrpc 2017-08-01 22:31:09 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.